<!-- Form Heading -->
<div class="hd-modal-header">
  Edit Your Overview
</div>

<!-- Overview description -->
<div class="row">
    <div class="col-xs-12 edit-panel-explanation">
        <p>
            Your profile overview is your first impression on HappyDev. It's your chance to describe
            yourself: your strengths, your experiences, and whatever else sets you apart!
        </p>
    </div>
</div>

<form [formGroup]="_form" (ngSubmit)="_onSubmit()">
  <!-- Overview field -->
  <div class="row" style="margin-top: 25px">
    <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState['overview'])">
      <label for="overview">Overview</label>
      <textarea id="overview" class="form-control" formControlName="overview" rows="8" placeholder="So what makes you...you?"></textarea>
      <form-field-errors id="overviewErrors" [field]="_formState['overview']"></form-field-errors>
    </div>
  </div>

  <!-- Unexpected error message -->
  <div class="row" *ngIf="_unexpectedError" id="unexpectedError">
    <div class="col-xs-12 text-center">
      An unexpected error occurred while trying to save your changes!
    </div>
  </div>

  <!-- Save / Cancel buttons -->
  <div class="row">
    <div class="col-xs-12" style="text-align: left">
      <button type="submit" class="btn btn-primary" [disabled]="!_form.valid" id="saveButton">Save</button>
      <a class="btn btn-default" (click)="_onCancel()" id="cancelButton">Cancel</a>
    </div>
  </div>
</form>
